package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.KeyStroke;

import edu.mermet.tp8.Application;

public class ActionConfig extends AbstractAction {	
	private Application a;
	private JDialog config;
	public ActionConfig(Application a, JDialog config) {
        super("Configuration");
        this.a = a;
        this.config = config;
        putValue(Action.ACCELERATOR_KEY,KeyStroke.getKeyStroke(KeyEvent.VK_O, InputEvent.CTRL_DOWN_MASK));
        putValue(Action.MNEMONIC_KEY,KeyEvent.VK_O);
    }

	@Override
	public void actionPerformed(ActionEvent e) {
		config.setVisible(true);
        a.enabledCommentFaire(false);		
	}

}
