package edu.mermet.tp8.boite;

import java.awt.BorderLayout;
import java.awt.Dialog;
import java.awt.FlowLayout;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.DefaultTreeSelectionModel;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreeSelectionModel;

import edu.mermet.tp8.actions.GestionSelection;

public class BoiteCommentFaire extends JDialog {
	private JTree tree;
	private TreeModel arbre;
	
	public BoiteCommentFaire(JFrame f) {
		super(f, "Aide");
		init();
		this.setSize(400, 300);
	}
	
	public void init() {
		tree = new JTree();
		JPanel panel = new JPanel();
		panel.setLayout(new BorderLayout()); 
	    setContentPane(panel);
		panel.add(tree, BorderLayout.WEST);
		DefaultMutableTreeNode racine = new DefaultMutableTreeNode("Comment faire ?");
		arbre = new DefaultTreeModel(racine);
		DefaultMutableTreeNode noeudCourant, ancetre;
		ancetre = racine;
		noeudCourant = new DefaultMutableTreeNode("Conversion :");
		ancetre.add(noeudCourant);
		ancetre = noeudCourant;
		noeudCourant = new DefaultMutableTreeNode("Celsius → Farenheit");
		ancetre.add(noeudCourant);
		noeudCourant = new DefaultMutableTreeNode("Farenheit → Celsius");
		ancetre.add(noeudCourant);
		ancetre = racine;
		noeudCourant = new DefaultMutableTreeNode("Texte en gras");
		ancetre.add(noeudCourant);
		noeudCourant = new DefaultMutableTreeNode("Couleur du texte");
		ancetre.add(noeudCourant);
		tree.setModel(arbre);
		
		JPanel panel2 = new JPanel();
		panel2.setLayout(new FlowLayout(FlowLayout.LEFT));
		JLabel html = new JLabel(" ");
		panel2.add(html, BorderLayout.WEST);
		add(panel2, BorderLayout.CENTER);
		TreeSelectionModel modeleSelection = new DefaultTreeSelectionModel();
		 modeleSelection.setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
		 tree.setSelectionModel(modeleSelection); 
		 tree.addTreeSelectionListener(new GestionSelection(html));
	}
}
